.navigation{
    &__checkbox{
        display: none;
    }

    &__button{
        background-color: $color-white;
        height: 7rem;
        width: 7rem;
        position: fixed;
        top: 6rem;
        right: 6rem;
        border-radius: 50%;
        z-index: 20;
        box-shadow: 0 1rem 3rem rgba($color-black, .1);
        text-align: center;
        cursor: pointer;

        @include respond(tab-port){
            top: 4rem;
            right: 4rem
        }

        @include respond(phone){
            top: 3rem;
            right: 3rem
        }
    }

    &__background{
        height: 6rem;
        width: 6rem;
        border-radius: 50%;
        position: fixed;
        top: 6.5rem;
        right: 6.5rem;
        background-image: radial-gradient($color-primary-light, $color-primary-dark);
        z-index: 10;
        transition: transform 0.8s cubic-bezier(0.86, 0, 0.07, 1);

        @include respond(tab-port){
            top: 4.5rem;
            right: 4.5rem
        }

        @include respond(phone){
            top: 3.5rem;
            right: 3.5rem
        }
    }

    &__nav{
        height: 100vh;
        width: 0;
        position: fixed;
        top: 0;
        left: 0;

        z-index: 15;

        opacity: 0;
        transition: all 0.8s cubic-bezier(.68, -.55, .265, 1.55);
    }

    &__list{
        list-style: none;
        text-align: center;

        @include position-center;
    }

    &__item{
        margin: 1rem;
    }

    &__link{

        &:link, &:visited{
            display: inline-block;
            font-size: 3rem;
            font-weight: 300;
            color: $color-white;
            padding: 1rem 2rem;
            text-decoration: none;
            text-transform: uppercase;
            background-image: linear-gradient(135deg,
                    transparent 0,
                    transparent 50%,
                    $color-white 50%);
            background-size: 300%;

            transition: all .4s;

            span{
                margin: 0 1.5rem 0 0;
                display: inline-block;
            }
        }

        &:hover, &:active{
            background-position: 100%;
            color: $color-primary;
            transform: translateX(1rem);
        }
    }

    // Functionality
    &__checkbox:checked ~ &__background{
        transform: scale(80);
    }

    &__checkbox:checked ~ &__nav{
        opacity: 1;
        width: 100%;
    }

    // Link
    &__checkbox:checked ~ &__nav{
        width: 100%;
        opacity: 1;
    }

    // Icon
    &__icon{
        position: relative;
        margin: 3.5rem 0 0;

        &, &::before, &::after{
            width: 3rem;
            height: 2px;
            background-color: $color-grey-dark-2;
            display: inline-block;
        }

        &::before, &::after{
            content: "";
            position: absolute;
            left: 0;
            transition: all .2s;
        }

        &::before{
            top: -.8rem;
        }

        &::after{
            top: .8rem;
        }
    }

    &__button:hover &__icon::before{
        top: -1rem;
    }

    &__button:hover &__icon::after{
        top: 1rem;
    }

    &__checkbox:checked + &__button &__icon{
        background-color: transparent;
    }

    &__checkbox:checked + &__button &__icon::before{
        top: 0;
        transform: rotate(135deg);
    }

    &__checkbox:checked + &__button &__icon::after{
        top: 0;
        transform: rotate(-135deg);
    }
}